using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Models;
using LoveBLL;

namespace LoveWeb
{
    public partial class ziye : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

                ArtiBind();
                InviBind();
            }

        }
        public void ArtiBind()
        {
            PagedDataSource pds = new PagedDataSource();
            pds.DataSource = ArticleManager.GetStory();
            DataList3.DataSource = pds;
            DataList3.DataBind();

        }
        public void InviBind()
        {
            PagedDataSource pds = new PagedDataSource();
            pds.DataSource = InvitationManager.GetInviClick();
            DataList1.DataSource = pds;
            DataList1.DataBind();


        }
        public static string GetPartString(string Arti_contents, int num)
        {
            return ArticleManager.GetPart(Arti_contents, num);
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
        }
    }
}
